// Script assets have changed for v2.3.0 see
// https://help.yoyogames.com/hc/en-us/articles/360005277377 for more information
function get_coord_outside_viewport(){
	var _x = argument0;
	var _y = argument1;
	
	var w = 1280;
	var h = 720;
	
	var left = _x - (w/2);
	var right = _x + (w/2);
	var top = _y - (h/2);
	var bot = _y + (h/2);
		
	var targetX = irandom_range(left, right);
	var targetY = irandom_range(top, bot);

	switch (irandom_range(1,4)) { // pick a side of the screen, 1 is top, 2 is right, 3 is down 4 is left
		case 1:
			targetY = top - 16;
			break;
		case 2:
			targetX = right + 16;

			break;
		case 3:
			targetY = bot + 16;
			break;
		case 4:
			targetX = left - 16;
			break;
	}

	return [targetX, targetY];
}